% plot of tent map iterates on [0,1]

clear all

a = 1.6;                       % multiplication parameter >=1

x = 0:.001:1;
hv = zeros(1,1001);
hv2 = zeros(3,1001);
aa(1) = .5/a; aa(2) = .5; aa(3) = 1-aa(1); 
f = zeros(2,1001);
for i=1:1001
    hv(i) = heaviside(x(i)-.5,.0001);
    for j=1:3
        hv2(j,i) = heaviside(x(i)-aa(j),.0001);
    end    
end    
f(1,:) = a*x + a*hv.*(1-2*x);
f(2,:) = a^2*x + a*hv2(1,:).*(1-2*a*x) - ...
    a^2*hv2(2,:).*(1-2*x) + a*hv2(3,:).*(2*a-1-2*a*x);

% plot the iterates

figure(1)
plot(x,f,x,x)
xlabel x, ylabel f^j(x)
  

